API Documentation

V1
API Authentication

Add these headers in every request.

Name Type Description
Api-Key String Your API Key
Secret-Key String Your Secret Key
Content-Type String application/json
Create Order
POST https://ezyship.com.bd/api/v1/create_order
Headers
Api-Key: YOUR_API_KEY
Secret-Key: YOUR_SECRET_KEY
Content-Type: application/json
                    
Request Example
{
 "invoice":"ABC123",
 "recipient_name":"John Smith",
 "recipient_phone":"01700000000",
 "recipient_address":"Dhaka",
 "cod_amount":1000,
 "note":"Handle carefully"
}
                    
Response
{
 "status":200,
 "message":"Order created successfully",
 "consignment":{
    "consignment_id":1424107,
    "tracking_code":"15BAEB8A",
    "status":"in_review"
 }
}
                    
Bulk Order Create
POST https://ezyship.com.bd/api/v1/create_order/bulk-order
{
 "data":[
    {
     "invoice":"1001",
     "recipient_name":"John",
     "recipient_phone":"01700000000",
     "cod_amount":500
    }
 ]
}
                    

Maximum 500 orders per request.

Delivery Status
GET https://ezyship.com.bd/api/v1/status_by_cid/{id}
GET https://ezyship.com.bd/api/v1/status_by_invoice/{invoice}
GET https://ezyship.com.bd/api/v1/status_by_trackingcode/{trackingCode}
{
 "status":200,
 "delivery_status":"delivered"
}
                    
Current Balance
GET https://ezyship.com.bd/api/v1/get_balance
{
 "status":200,
 "current_balance":5000
}